import Vue from 'vue'
import App from './App'

import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
Vue.config.productionTip = false

import utils from './utils/common.js'
import {scsUtils} from '@/common/utils.js'
Vue.prototype.$scsUtils = scsUtils;
Vue.prototype.utils = utils;
import store from './store'
import {isLoginCourse} from './utils/common.js'
import ScsScrollView from '@/components/public/scs-scroll-view.vue'
import ScsScrollTop from '@/components/public/scs-scroll-top.vue'
import ScsScrollNavbar from '@/components/public/scs-scroll-navbar.vue'
Vue.component('scs-scroll-top', ScsScrollTop)
Vue.component('scs-scroll-view', ScsScrollView)
Vue.component('scs-scroll-navbar', ScsScrollNavbar)
Vue.prototype.$isLoginCourse = isLoginCourse
import {
	setData
} from './utils/common.js'
Vue.prototype.setData = setData;


App.mpType = 'app'
const app = new Vue({
	store,
	...App
})
app.$mount()